ripper(1)

NAME
ripper - scrape licenses out of file

SYNOPSIS
ripper

DESCRIPTION
Ripper inspect source files and show the license if it found. It support directories or files as argument, but it doesn't support search in subdirectories. The command was developed in Go language. PP. Currently, supports ripping out head paths of the Apache License formatted with "// Copyright..."

EXAMPLES
Files

$ripper foo.go bar.c

Directories

$ripper foo_directory bar_directory

SEE ALSO
ripper(1)

AUTHOR
The Ripper was written by Emmanuel Odeke <emm.odeke@gmail.com>.

This manual pag'e was written by Fernando Ike de Oliveira <fike@midstorm.org> for the Debian project (but may be used by others).